## lcat 1.0

=== debian/changelog ===
lcat (1.0.0-1) unstable; urgency=low

  * Initial release

 -- Alpha Systems Inc. <knoppix@alpha.co.jp>  Tue, 28 Feb 2006 11:10:35 +0900
