=== debian/control ===
Source: lcat
Section: misc
Priority: optional
Maintainer: Alpha Systems Inc.  <knoppix@alpha.co.jp>
Build-Depends: debhelper (>> 3.0.0), zlib1g-dev
Standards-Version: 3.5.2

Package: lcat-cloop-module-2.6.11
Depends: debconf
Suggests: kernel-image-2.6.11
Architecture: any
Description: The compressed loopback block device kernel module
 Cloop is the driver module for transparent access to a
  ISO9660 filesystem contained in compressed volume.
