## lcat 1.0.1-2.05

=== debian/control ===
Source: kudzu-knoppix
Section: utils
Priority: optional
Maintainer: Klaus Knopper <knoppix@knopper.net>
Build-Depends: debhelper (>> 3.0.0), pciutils-dev, libpopt-dev, gettext, perl, dietlibc-dev
Standards-Version: 3.5.2

Package: kudzu-knoppix-vesa
Section: utils
Architecture: i386
Provides: kudzu-vesa, kudzu-knoppix-vesa
Depends: ${shlibs:Depends}
Description: Hardware detecting library
 This is the hardware autodetection & configuration tool, originally
 introduced in Red Hat Linux 6.1. It detects changes in the system's
 hardware configuration, and gives the option of configuring
 added or removed devices.
 .
 This package contains VBE/DDC stuff.

Package: kudzu-knoppix-dev
Section: devel
Provides: kudzu-dev, kudzu-knoppix-dev
Architecture: any
Depends: ${shlibs:Depends}
Description: Hardware detecting library
 This is the hardware autodetection & configuration tool, originally
 introduced in Red Hat Linux 6.1. It detects changes in the system's
 hardware configuration, and gives the option of configuring
 added or removed devices.
 .
 This package contains the header files and the staticlibs.
